services:

  flux_se.sylius_payum_stripe.factory.cancel_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CancelRequestFactory

  flux_se.sylius_payum_stripe.factory.refund_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\RefundRequestFactory

  flux_se.sylius_payum_stripe.factory.authorize_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\AuthorizeRequestFactory

  flux_se.sylius_payum_stripe.factory.capture_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CaptureRequestFactory

  flux_se.sylius_payum_stripe.factory.cancel_payment_intent_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\CancelPaymentIntentRequestFactory

  flux_se.sylius_payum_stripe.factory.all_session_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\AllSessionRequestFactory

  flux_se.sylius_payum_stripe.factory.expire_session_request:
    class: FluxSE\SyliusPayumStripePlugin\Factory\ExpireSessionRequestFactory
